<?php

$woerter = ["Maus", "Automobil", "Schifffahrt",

"Hund", "Katze", "Ziege", "Stanniolpapier",

"Elefant", "Isopropylalkohol", "Schwimmbad"];


foreach($woerter as $s) {
    //echo "<p>Der String \"$s\" hat " .strlen($s) ." Zeichen.</p>";
    $vokale = ["a", "e", "i", "o", "u"];

    $zaehler = 0; //anfangszähler für das zählen der Vokale

    for($i = 0; $i < strlen($s); $i++ ) { //Anzahl der schleifendurchläufe, anhand der länge des strings i kleiner als der string (strlen).
        if (in_array($s[$i], $vokale)) { // wird geprüft ob sich ein vokal im string $s befindet    
            $zaehler++;
        }

        //$t[$s] = $i - $zaehler;

        //$a = count($t);
    }  
    $t = $i - $zaehler;
    print_r($t);
    echo "<p>Das Wort \"$s\" hat $t die keine Vokal(e) sind</p>"; 
}

?>




--------------------------------------------------------------------------------------------------------------------------------------------------------







<?php

$woerter = ["Maus", "Automobil", "Schifffahrt",

"Hund", "Katze", "Ziege", "Stanniolpapier",

"Elefant", "Isopropylalkohol", "Schwimmbad"];

$vokale = ["a", "e", "i", "o", "u"];
//---------------------------------------------------------------------------
foreach($woerter as $w){

$strArr [] = strtolower ( $w );

}
//----------------------------------------------------------------------------
foreach($strArr as $s) {

$zaehler = 0;


    for($i = 0; $i < strlen($s); $i++ ) { //Anzahl der schleifendurchläufe, anhand der länge des strings i kleiner als der string (strlen).
        if (in_array($s[$i], $vokale)) { // wird geprüft ob sich ein vokal im string $s befindet    
            $zaehler++;
        }

       // $t[$s] = $i - $zaehler;

        //$a = count($t);
    }  
$t[$s] = $i - $zaehler;

 echo "<p>Das Wort \"$s\" hat $t[$s] die keine Vokal(e) sind</p>"; 


}

print_r($t);
//echo "<p>Das Wort \"$s\" hat $t die keine Vokal(e) sind</p>"; 

?>

